<?php
/**
 * A virgin city state class
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2015 City Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class CityVirginState extends BaseCityState implements Stateable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructo
		parent::__construct(__CLASS__);

		// Set state name
		$this->setStateName('virgin');
	}

	/**
	 * Creates an instance of this class
	 *
	 * @param	$cityInstance	An instance of a CityHelper class
	 * @return	$stateInstance	An instance of a Stateable class
	 */
	public static final function createCityVirginState (CityHelper $cityInstance) {
		// Get new instance
		$stateInstance = new CityVirginState();

		// Return the prepared instance
		return $stateInstance;
	}

	/**
	 * Change the state to 'active' when the city simulation has initialized all
	 * tasks, queues, etc.
	 *
	 * @return	void
	 */
	public function citySimulationIsActivated () {
		// Create the new state instance
		CityStateFactory::createCityStateInstanceByName('active');
	}

}

// [EOF]
?>
