<?php
// Get form helper instance
$helperInstance = ObjectFactory::createObjectByConfiguredName('html_form_helper_class', array($this, 'city_map'));

// Prefetch user instance
$helperInstance->prefetchValueInstance('user');

// Get manager instance
$managerInstance = ManagerFactory::createManagerByType('city');

// Now set the extra instance
$helperInstance->setExtraInstance($managerInstance);

// Get user instance
$userInstance = Registry::getRegistry()->getInstance('user');

// Is a city already founded?
if ($userInstance->isGuest()) {
	// Guests are not allowed to found cities
	$helperInstance->addFormNote('guest', "Du musst dich beim Spiel {?app_full_name?} anmelden, dann kannst du erst St&auml;dte gr&uuml;nden.");
} elseif (!$managerInstance->isCityAlreadyFounded()) {
	// No, then generate form:
	// Add group for city creation (first city only)
	$helperInstance->addFormGroup('city_create', "Gr&uuml;nde deine erste Stadt.");

	// City name input field
	$helperInstance->addFormSubGroup('city_name', "Bitte gebe den Namen der Stadt ein.");
	$helperInstance->addFieldText('city_name', "Dein Stadtname:");
	$helperInstance->addInputTextField('city_name');

	// CAPTCHA enabled?
	if ($helperInstance->ifFormSecuredWithCaptcha()) {
		$helperInstance->addFormGroup('captcha_user', "Die virtuelle Beantragung von Starthilfe ist durch ein CAPTCHA gesch&uuml;tzt. Bitte wiederhole den angezeigten Code, damit du die Starthilfe beantragen kannst.");
		$helperInstance->addCaptcha();
	} // END - if

	// Final notices
	$helperInstance->addFormGroup('buttons', "Soll so die Stadt angelegt werden?");
	$helperInstance->addInputResetButton("Alles nochmal eingeben");
	$helperInstance->addInputSubmitButton("Stadt anlegen");
	$helperInstance->addFormNote('more_cities', "Du kannst sp&auml;ter auch weitere St&auml;dte anlegen, fange aber erstmal klein an.");

	// Flush the finished form
	$helperInstance->flushContent();
} else {
	// Add notice
	$helperInstance->addFormGroup('city_created', "Deine Stadt {?block_city_name?}:");

	// Assign all data fields
	$helperInstance->assignField('city_name');

	// A city has already been created, so render it
	$managerInstance->renderCityMap($helperInstance);

	// Flush the finished form
	$helperInstance->flushContent();
}

// [EOC]
?>
<div id="government_frame">
	<div id="government_header">
		Stadtkarte
	</div>

	<div id="government_form">
		{?city_map?}
	</div>
</div>
